<template>
	<div>
		<div class="record_date">
			<el-row>
				<el-col :span="6" class="cards">
					<div class="box">
						<div class="box_num">
							<div class="box_color">总用户数</div>
							<div class="text_color"><span>{{tableData.totalUsers ? tableData.totalUsers : 0}}</span>人
							</div>
						</div>
					</div>
				</el-col>
				<el-col :span="6" class="cards">
					<div class="box">
						<div class="box_num">
							<div class="box_color">今日新增</div>
							<div class="text_color"><span>{{tableData.newToday ? tableData.newToday : 0}}</span>人</div>
						</div>
					</div>
				</el-col>
				<el-col :span="6" class="cards">
					<div class="box">
						<div class="box_num">
							<div class="box_color">本月新增</div>
							<div class="text_color"><span>{{tableData.newMonth ? tableData.newMonth : 0}}</span>人</div>
						</div>
					</div>
				</el-col>
				<el-col :span="6" class="cards">
					<div class="box">
						<div class="box_num">
							<div class="box_color">本年新增</div>
							<div class="text_color"><span>{{tableData.newYear ? tableData.newYear : 0}}</span>人</div>
						</div>
					</div>
				</el-col>
				<el-col :span="6" class="cards">
					<div class="box">
						<div class="box_num">
							<div class="box_color">总充值 </div>
							<div class="text_color">
								<span>{{tableData.totalRevenue ? tableData.totalRevenue : 0}}</span>元
							</div>
						</div>
					</div>
				</el-col>
				<el-col :span="6" class="cards">
					<div class="box">
						<div class="box_num">
							<div class="box_color">今日充值</div>
							<div class="text_color">
								<span>{{tableData.todayRevenue ? tableData.todayRevenue : 0 }}</span>元
							</div>
						</div>
					</div>
				</el-col>
				<el-col :span="6" class="cards">
					<div class="box">
						<div class="box_num">
							<div class="box_color">本月充值 </div>
							<div class="text_color">
								<span>{{tableData.monthRevenue ? tableData.monthRevenue : 0}}</span>元
							</div>
						</div>
					</div>
				</el-col>
				<el-col :span="6" class="cards">
					<div class="box">
						<div class="box_num">
							<div class="box_color">本年充值</div>
							<div class="text_color"><span>{{tableData.yearRevenue ? tableData.yearRevenue : 0}}</span>元
							</div>
						</div>
					</div>
				</el-col>

			</el-row>
			<div>
				<el-select v-model="flag" style="width:150px;margin-left: 10px;" @change="orderfenxi">
					<el-option v-for="item in flags" :key="item.value" :label="item.label" :value="item.value">
					</el-option>
				</el-select>&nbsp;&nbsp;&nbsp;
				<el-date-picker style="width: 200px;margin-left: 10px;" v-model="info.stockDate" align="right"
					type="date" format="yyyy-MM-dd" value-format="yyyy-MM-dd" placeholder="选择开始时间" @change="animeOrder">
				</el-date-picker>
			</div>
			<el-tabs v-model="activeName" @tab-click="handleClick" style="margin-left: 10px;">
				<el-tab-pane label="用户分析" name="first">
					<el-row>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">总用户</div>
									<div class="text_color">
										<span>{{taskStat.userCount ? taskStat.userCount : 0}}</span>人
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">普通用户</div>
									<div class="text_color">
										<span>{{taskStat.puUserCount ? taskStat.puUserCount : 0}}</span>人
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">师傅用户</div>
									<div class="text_color">
										<span>{{taskStat.jiUserCount ? taskStat.jiUserCount : 0}}</span>人
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">手机号用户</div>
									<div class="text_color">
										<span>{{taskStat.phoneUserCount ? taskStat.phoneUserCount : 0}}</span>人
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">APP用户</div>
									<div class="text_color">
										<span>{{taskStat.appCount ? taskStat.appCount : 0}}</span>人
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">微信用户</div>
									<div class="text_color">
										<span>{{taskStat.wxCount ? taskStat.wxCount : 0}}</span>人
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">小程序用户</div>
									<div class="text_color">
										<span>{{taskStat.wapCount ? taskStat.wapCount : 0}}</span>人
									</div>
								</div>
							</div>
						</el-col>
					</el-row>
				</el-tab-pane>
				<el-tab-pane label="订单统计" name="fourth">
					<el-row>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">总订单</div>
									<div class="text_color">
										<span>{{orderStat.ordersCount ? orderStat.ordersCount : 0}}</span>单
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">待支付订单</div>
									<div class="text_color">
										<span>{{orderStat.dzfCount ? orderStat.dzfCount : 0}}</span>单
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">待服务订单</div>
									<div class="text_color">
										<span>{{orderStat.dfwCount ? orderStat.dfwCount : 0}}</span>单
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">待评价订单</div>
									<div class="text_color">
										<span>{{orderStat.dplCount ? orderStat.dplCount : 0}}</span>单
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">已取消订单</div>
									<div class="text_color">
										<span>{{orderStat.jxzCount ? orderStat.jxzCount : 0}}</span>单
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">已完成订单</div>
									<div class="text_color">
										<span>{{orderStat.ywcCount ? orderStat.ywcCount : 0}}</span>单
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">服务中订单</div>
									<div class="text_color">
										<span>{{orderStat.jxzCount ? orderStat.jxzCount : 0}}</span>单
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">师傅出发订单</div>
									<div class="text_color">
										<span>{{orderStat.cfCount ? orderStat.cfCount : 0}}</span>单
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">师傅到达订单</div>
									<div class="text_color">
										<span>{{orderStat.ddCount ? orderStat.ddCount : 0}}</span>单
									</div>
								</div>
							</div>
						</el-col>
					</el-row>
				</el-tab-pane>
				<el-tab-pane label="项目收益" name="five">
					<el-row>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">总收入</div>
									<div class="text_color">
										<span>{{profitStat.sumMoney ? profitStat.sumMoney : 0}}</span>元
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">服务中订单</div>
									<div class="text_color">
										<span>{{profitStat.jinMoney ? profitStat.jinMoney : 0}}</span>元
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">已完成订单</div>
									<div class="text_color">
										<span>{{profitStat.wanMoney ? profitStat.wanMoney : 0}}</span>元
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">平台收益</div>
									<div class="text_color">
										<span>{{profitStat.pingMoney ? profitStat.pingMoney : 0}}</span>元
									</div>
								</div>
							</div>
						</el-col>
					</el-row>
					<!-- <el-table v-loading="tableDataLoading" :data="tableData2.list">
						<el-table-column prop="orderId" label="编号">
						</el-table-column>
						<el-table-column prop="nickName1" label="用户名">
							<template slot-scope="scope">
								<span style="color: #4f9dec;cursor: pointer;"
									@click="updates1(scope.row)">{{scope.row.userName ? scope.row.userName : 'null'}}</span>
							</template>
						</el-table-column>
						<el-table-column prop="payMoney" label="支付金额">
						</el-table-column>
						<el-table-column prop="money" label="派单人金额">
						</el-table-column>
						<el-table-column prop="profit" label="平台收入">
							<template slot-scope="scope">
								{{ parseFloat(scope.row.payMoney-scope.row.money).toFixed(2)}}
							</template>
						</el-table-column>
						<el-table-column prop="createTime" label="创建时间">
						</el-table-column>
					</el-table>
					<div style="text-align: center;margin-top: 10px;float:right">
						<el-pagination @size-change="handleSizeChange" @current-change="handleCurrentChange"
							:page-sizes="[5, 10, 15, 20]" :page-size="limit" :current-page="page"
							layout="total,sizes, prev, pager, next,jumper" :total="tableData2.totalCount">
						</el-pagination>
					</div> -->
				</el-tab-pane>
				<el-tab-pane label="收益统计" name="seven">
					<el-row>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">总收益</div>
									<div class="text_color">
										<span>{{shouyiData.sumMoney ? shouyiData.sumMoney : 0 }}</span>元
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">订单金额</div>
									<div class="text_color">
										<span>{{shouyiData.ordersMoney ? shouyiData.ordersMoney : 0 }}</span>元
									</div>
								</div>
							</div>
						</el-col>

						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">保证金金额</div>
									<div class="text_color">
										<span>{{shouyiData.realMoney ? shouyiData.realMoney : 0}}</span>元
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">充值金额</div>
									<div class="text_color"><span>{{shouyiData.money ? shouyiData.money : 0}}</span>元
									</div>
								</div>
							</div>
						</el-col>
						<!-- <el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">购买优惠券金额</div>
									<div class="text_color"><span>{{shouyiData.couponMoney ? shouyiData.couponMoney : 0}}</span>元</div>
								</div>
							</div>
						</el-col> -->
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">购买会员金额</div>
									<div class="text_color">
										<span>{{shouyiData.memberMoney ? shouyiData.memberMoney : 0}}</span>元
									</div>
								</div>
							</div>
						</el-col>
					</el-row>
				</el-tab-pane>
				<el-tab-pane label="充值统计" name="sixth">
					<el-row>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">充值总金额</div>
									<div class="text_color">
										<span>{{rechgeData.sumMoney ? rechgeData.sumMoney : 0}}</span>元
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">小程序充值金额</div>
									<div class="text_color">
										<span>{{rechgeData.weiXinXCXMoney ? rechgeData.weiXinXCXMoney : 0}}</span>元
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">微信公众号充值金额</div>
									<div class="text_color">
										<span>{{rechgeData.weiXinGZHMoney ? rechgeData.weiXinGZHMoney : 0}}</span>元
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">微信充值金额</div>
									<div class="text_color">
										<span>{{rechgeData.weiXinMoney ? rechgeData.weiXinMoney : 0}}</span>元
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">支付宝充值金额</div>
									<div class="text_color">
										<span>{{rechgeData.zhiFuBaoMoney ? rechgeData.zhiFuBaoMoney : 0}}</span>元
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">系统充值</div>
									<div class="text_color">
										<span>{{rechgeData.xiTongMoney ? rechgeData.xiTongMoney : 0}}</span>元
									</div>
								</div>
							</div>
						</el-col>

					</el-row>
				</el-tab-pane>
				<el-tab-pane label="待处理事项" name="daichuli">
					<el-row>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">投诉待处理</div>
									<div class="text_color"><span @click="updatesD1()"
											style="color: red;cursor: pointer;">{{chatNumDts ? chatNumDts : 0}}</span>件
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">实名认证待审核</div>
									<div class="text_color">
										<span @click="updatesD2()"
											style="color: red;cursor: pointer;">{{chatNumDrz ? chatNumDrz : 0}}</span>件
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">推广申请待审核</div>
									<div class="text_color">
										<span @click="updatesD3()"
											style="color: red;cursor: pointer;">{{chatNumDsm ? chatNumDsm : 0}}</span>件
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">紧急求助处理</div>
									<div class="text_color">
										<span @click="updatesD4()"
											style="color: red;cursor: pointer;">{{chatNumJjqz ? chatNumJjqz : 0}}</span>件
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">警告订单处理</div>
									<div class="text_color">
										<span @click="updatesD5(1)"
											style="color: red;cursor: pointer;">{{chatNumJg ? chatNumJg : 0}}</span>件
									</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">超时订单处理</div>
									<div class="text_color">
										<span @click="updatesD5(2)"
											style="color: red;cursor: pointer;">{{chatNumCs ? chatNumCs : 0}}</span>件
									</div>
								</div>
							</div>
						</el-col>

					</el-row>
				</el-tab-pane>
				<el-tab-pane label="自营订单统计" name="ziyingOrder">

					<el-row>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">总收入</div>
									<div class="text_color"><span>{{sumincome | numFilter}}</span>元</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">当前收入</div>
									<div class="text_color"><span>{{income | numFilter}}</span>元</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">微信收入</div>
									<div class="text_color"><span>{{wxincome | numFilter}}</span>元</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">支付宝收入</div>
									<div class="text_color"><span>{{zfbincome | numFilter}}</span>元</div>
								</div>
							</div>
						</el-col>
					</el-row>
					<el-row>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">余额</div>
									<div class="text_color"><span>{{yueicome | numFilter}}</span>元</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">订单年成交量</div>
									<div class="text_color"><span>{{ordersum0}}</span>件</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">订单月成交量</div>
									<div class="text_color"><span>{{ordersum1}}</span>件</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">订单日成交量</div>
									<div class="text_color"><span>{{ordersum2}}</span>件</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">扣除退款后收益</div>
									<div class="text_color"><span>{{refundIncome}}</span>元</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">已退款金额</div>
									<div class="text_color"><span>{{refundMoney}}</span>元</div>
								</div>
							</div>
						</el-col>
						<el-col :span="6" class="cards">
							<div class="box">
								<div class="box_num">
									<div class="box_color">退款订单量</div>
									<div class="text_color"><span>{{refundNum}}</span>件</div>
								</div>
							</div>
						</el-col>
					</el-row>
				</el-tab-pane>
				<el-tab-pane label="商家抽成统计" name="sevenShop">
					<el-table v-loading="tableDataLoading" :data="tableDataShop.records">
						<el-table-column prop="userId" label="编号">
						</el-table-column>
						<el-table-column prop="nickName" label="用户名">
							<template slot-scope="scope">
								<span style="color: #4f9dec;cursor: pointer;"
									@click="updates(scope.row)">{{scope.row.userName ? scope.row.userName : '未绑定'}}</span>
							</template>
						</el-table-column>
						<el-table-column prop="money" label="佣金金额">
						</el-table-column>
					</el-table>
					<div style="text-align: center;margin-top: 10px;float:right">
						<el-pagination @size-change="handleSizeChangeShop" @current-change="handleCurrentChangeShop"
							:page-sizes="[5, 10, 15, 20]" :page-size="limit" :current-page="page"
							layout="total,sizes, prev, pager, next,jumper" :total="tableDataShop.total">
						</el-pagination>
					</div>
				</el-tab-pane>
				<el-tab-pane label="用户代理抽成统计" name="eight">
					<el-table v-loading="tableDataLoading" :data="tableDataUser.records">
						<el-table-column prop="userId" label="编号">
						</el-table-column>
						<el-table-column prop="nickName" label="用户名">
							<template slot-scope="scope">
								<span style="color: #4f9dec;cursor: pointer;"
									@click="updates(scope.row)">{{scope.row.userName ? scope.row.userName : '未绑定'}}</span>
							</template>
						</el-table-column>
						<el-table-column prop="money" label="佣金金额">
						</el-table-column>
					</el-table>
					<div style="text-align: center;margin-top: 10px;float:right">
						<el-pagination @size-change="handleSizeChangeUser" @current-change="handleCurrentChangeUser"
							:page-sizes="[5, 10, 15, 20]" :page-size="limit" :current-page="page"
							layout="total,sizes, prev, pager, next,jumper" :total="tableDataUser.total">
						</el-pagination>
					</div>
				</el-tab-pane>
				<el-tab-pane label="技师代理抽成统计" name="nine">
					<el-table v-loading="tableDataLoading" :data="tableDataDlys.records">
						<el-table-column prop="userId" label="编号">
						</el-table-column>
						<el-table-column prop="nickName" label="用户名">
							<template slot-scope="scope">
								<span style="color: #4f9dec;cursor: pointer;"
									@click="updates(scope.row)">{{scope.row.userName ? scope.row.userName : '未绑定'}}</span>
							</template>
						</el-table-column>
						<el-table-column prop="money" label="佣金金额">
						</el-table-column>
					</el-table>
					<div style="text-align: center;margin-top: 10px;float:right">
						<el-pagination @size-change="handleSizeChangeDlys" @current-change="handleCurrentChangeDlys"
							:page-sizes="[5, 10, 15, 20]" :page-size="limit" :current-page="page"
							layout="total,sizes, prev, pager, next,jumper" :total="tableDataDlys.total">
						</el-pagination>
					</div>
				</el-tab-pane>
				<el-tab-pane label="技师抽成" name="ten">
					<el-table v-loading="tableDataLoading" :data="tableDataJs.records">
						<el-table-column prop="userId" label="编号">
						</el-table-column>
						<el-table-column prop="nickName" label="用户名">
							<template slot-scope="scope">
								<span style="color: #4f9dec;cursor: pointer;"
									@click="updates(scope.row)">{{scope.row.userName ? scope.row.userName : '未绑定'}}</span>
							</template>
						</el-table-column>
						<el-table-column prop="money" label="佣金金额">
						</el-table-column>
					</el-table>
					<div style="text-align: center;margin-top: 10px;float:right">
						<el-pagination @size-change="handleSizeChangeJs" @current-change="handleCurrentChangeJs"
							:page-sizes="[5, 10, 15, 20]" :page-size="limit" :current-page="page"
							layout="total,sizes, prev, pager, next,jumper" :total="tableDataJs.total">
						</el-pagination>
					</div>
				</el-tab-pane>
				<!-- <el-tab-pane label="用户转化统计" name="eleven">
					<el-table v-loading="tableDataLoading" :data="tableDataUserZh.records">
						<el-table-column prop="userId" label="编号">
						</el-table-column>
						<el-table-column prop="nickName" label="用户名">
							<template slot-scope="scope">
								<span style="color: #4f9dec;cursor: pointer;"
									@click="updates(scope.row)">{{scope.row.userName ? scope.row.userName : '未绑定'}}</span>
							</template>
						</el-table-column>
						<el-table-column prop="phone" label="手机号">
						</el-table-column>
						<el-table-column prop="counts" label="次数">
						</el-table-column>
						<el-table-column prop="createTime" label="创建时间">
						</el-table-column>
					</el-table>
					<div style="text-align: center;margin-top: 10px;float:right">
						<el-pagination @size-change="handleSizeChangeUserZh" @current-change="handleCurrentChangeUserZh"
							:page-sizes="[5, 10, 15, 20]" :page-size="limit" :current-page="page"
							layout="total,sizes, prev, pager, next,jumper" :total="tableDataUserZh.total">
						</el-pagination>
					</div>
				</el-tab-pane> -->
			</el-tabs>
			<!-- 图表 -->
			<el-row type="flex" justify="space-between" style="margin-bottom: 30px;">
				<el-col :span="12">
					<div style="margin-left: 20px;margin-right: 5px;" class="grid-content bg-purple">
						<el-card class="box-card" shadow="never" :body-style="bodyStyle">
							<div slot="header"
								style="height: 15px;display: flex;justify-content: space-between;align-items: center;">
								<div style="height: 100%;display: flex;align-items: center;">订单折线图</div>
								<!-- <el-date-picker v-model="info2.stockDate" type="date" placeholder="选择年份"
									@change="selectYears" format="yyyy-MM-dd" value-format="yyyy-MM-dd">
								</el-date-picker> -->
								<el-date-picker v-model="selectYear" :picker-options="pickerOptions" type="daterange"
									range-separator="至" start-placeholder="开始日期" @change="selectYears"
									end-placeholder="结束日期">
								</el-date-picker>
							</div>
							<div id="Chart1" class="Chart1" v-loading="tableDataLoading1">

							</div>
						</el-card>
					</div>
				</el-col>
				<el-col :span="12">
					<div style="margin-right: 10px;margin-left: 15px;" class="grid-content bg-purple-light">
						<el-card class="box-card" shadow="never" :body-style="bodyStyle">
							<div slot="header"
								style="height: 15px;display: flex;justify-content: space-between;align-items: center;">
								<div style="height: 100%;display: flex;align-items: center;">用户增长折线图</div>
								<el-date-picker v-model="selectDayDate" :picker-options="pickerOptions" type="daterange"
									range-separator="至" start-placeholder="开始日期" @change="selectTime"
									end-placeholder="结束日期">
								</el-date-picker>
							</div>
							<div id="Chart2" class="Chart1" v-loading="tableDataLoading2">

							</div>
						</el-card>
					</div>
				</el-col>
			</el-row>
		</div>
	</div>
</template>

<script>
	//按需加载echarts
	import * as echarts from 'echarts/core';
	import {
		ToolboxComponent,
		TooltipComponent,
		GridComponent,
		LegendComponent
	} from 'echarts/components';
	import {
		LineChart
	} from 'echarts/charts';
	import {
		UniversalTransition
	} from 'echarts/features';
	import {
		CanvasRenderer
	} from 'echarts/renderers';
	export default {
		data() {
			return {
				limit: 5,
				page: 1,
				tableData: {},
				tableData2: {
					list: [],
					totalCount: 0
				},
				colonelData: [],
				commodityData: [],
				userjfData: [],
				incomeData: [],
				activeName: 'first',
				tableDataLoading: true,
				flag: 1,
				usersumData: {},
				taskStat: {},
				orderStat: {},
				profitStat: {},
				data: '',
				time: '',
				platform: '',
				type: '',
				balance: -1,
				info: {
					stockDate: this.getNowTime(), //日期
				},
				flags: [{
					value: 1,
					label: '按天查询'
				}, {
					value: 2,
					label: '按月查询'
				}, {
					value: 3,
					label: '按年查询'
				}],
				rechgeData: {},
				shouyiData: {},
				chatNumDrz: 0,
				chatNumDsm: 0,
				chatNumDts: 0,
				chatNumJjqz: 0,
				chatNumJg: 0,
				chatNumCs: 0,

				tableDataLoading1: true,
				tableDataLoading2: true,
				orderEcharts: {}, //订单折线图
				increaseEcharts: {}, //用户增长折线图
				selectDayDate: '',
				pickerOptions: {
					onPick: ({
						maxDate,
						minDate
					}) => {
						// 把选择的第一个日期赋值给一个变量。
						this.choiceDate = minDate.getTime()
						// 如何你选择了两个日期了，就把那个变量置空
						if (maxDate) this.choiceDate = ''
					},
					disabledDate: time => {
						// 如何选择了一个日期
						if (this.choiceDate) {
							// 7天的时间戳
							const one = 6 * 24 * 3600 * 1000
							// 当前日期 - one = 7天之前
							const minTime = this.choiceDate - one
							// 当前日期 + one = 7天之后
							const maxTime = this.choiceDate + one
							return (
								time.getTime() < minTime ||
								time.getTime() > maxTime
							)
						} else {
							return false
						}
					}
				},
				bodyStyle: {
					padding: '0'
				},
				selectYear: '',
				qiehuan_type: 1,
				lirunStat: {},


				totalnum: {},
				sumincome: '',
				income: '',
				wxincome: '',
				zfbincome: '',
				yueicome: '',
				ordersum0: '',
				ordersum1: '',
				ordersum2: '',
				refundIncome:'',
				refundMoney: '',
				refundNum: '',
				tableDataShop:{},
				tableDataUser:{},
				tableDataDlys:{},
				tableDataJs:{},
				tableDataUserZh:{},

			}
		},
		filters: {
			numFilter(value) {
				let realVal = ''
				if (!isNaN(value) && value !== '') {
					// 截取当前数据到小数点后两位
					realVal = parseFloat(value).toFixed(2)
				} else {
					realVal = '--'
				}
				return realVal
			}
		},
		mounted() {
			this.colonel()
			this.taskData()
			this._getData() //用户统计
			this.incomeSelect()

			this.getUserOrderEcharts();
			this.getUserIncreaseEcharts()
		},
		methods: {
			// 详情跳转
			updates(row) {
				this.$router.push({
					path: '/userDetail',
					query: {
						userId: row.userId
					}
				})
			},
			updates1(row) {
				this.$router.push({
					path: '/userDetail',
					query: {
						userId: row.userId1
					}
				})
			},
			updates2(row) {
				this.$router.push({
					path: '/userDetail',
					query: {
						userId: row.userId2
					}
				})
			},
			updatesD1() {
				this.$router.push({
					path: '/business',
					query: {}
				})
			},
			updatesD2() {
				this.$router.push({
					path: '/autonym',
					query: {}
				})
			},
			updatesD3() {
				this.$router.push({
					path: '/agent',
					query: {}
				})
			},
			updatesD4() {
				this.$router.push({
					path: '/emergencyHelp',
					query: {}
				})
			},
			updatesD5(index){
				this.$router.push({
					path: '/orderInservice',
					query: {
						types: index
					}
				})
			},
			handleSizeChange(val) {
				this.limit = val;
				this.colonel();
			},
			handleCurrentChange(val) {
				this.page = val;
				this.colonel();
			},
			handleSizeChangeShop(val) {
				this.limit = val;
				this.shopSelect();
			},
			handleCurrentChangeShop(val) {
				this.page = val;
				this.shopSelect();
			},
			handleSizeChangeUser(val) {
				this.limit = val;
				this.UserSelect();
			},
			handleCurrentChangeUser(val) {
				this.page = val;
				this.UserSelect();
			},
			handleSizeChangeDlys(val) {
				this.limit = val;
				this.DlysSelect();
			},
			handleCurrentChangeDlys(val) {
				this.page = val;
				this.DlysSelect();
			},
			handleSizeChangeJs(val) {
				this.limit = val;
				this.JsSelect();
			},
			handleCurrentChangeJs(val) {
				this.page = val;
				this.JsSelect();
			},
			handleSizeChangeUserZh(val) {
				this.limit = val;
				this.UserZhSelect();
			},
			handleCurrentChangeUserZh(val) {
				this.page = val;
				this.UserZhSelect();
			},
			// 用户分析选择日期
			animeDat() {
				this._getData()
			},
			// 订单分析选择日期
			animeOrder() {
				this.taskData()
				this.colonel()
				this.incomeSelect()
				this.shouyiSelect()
				this.rechSelect()
				this.moneySelect()
				this.orderSelect()
				this.shopSelect()
				this.UserSelect()
				this.DlysSelect()
				this.JsSelect()
				// this.UserZhSelect()
			},
			// 订单分析年月日
			orderfenxi(value) {
				let vanumber = value
				if (vanumber === 1) {
					this.flag = 1
					this.taskData()
					this.colonel()
					this.incomeSelect()
					this.shouyiSelect()
					this.rechSelect()
					this.moneySelect()
					this.orderSelect()
					this.shopSelect()
					this.UserSelect()
					this.DlysSelect()
					this.JsSelect()
					// this.UserZhSelect()
				}
				if (vanumber === 2) {
					this.flag = 2
					this.taskData()
					this.colonel()
					this.incomeSelect()
					this.shouyiSelect()
					this.rechSelect()
					this.moneySelect()
					this.orderSelect()
					this.shopSelect()
					this.UserSelect()
					this.DlysSelect()
					this.JsSelect()
					// this.UserZhSelect()
				}
				if (vanumber === 3) {
					this.flag = 3
					this.taskData()
					this.colonel()
					this.incomeSelect()
					this.shouyiSelect()
					this.rechSelect()
					this.moneySelect()
					this.orderSelect()

					this.shopSelect()
					this.UserSelect()
					this.DlysSelect()
					this.JsSelect()
					// this.UserZhSelect()
				}
			},
			// Tabs点击事件
			handleClick(tab, event) {
				this.page = 1
				if (tab._props.label == '用户分析') {
					this.taskData()
				}
				if (tab._props.label == '订单统计') {
					this.colonel()
				}
				if (tab._props.label == '项目收益') {
					this.incomeSelect()
				}
				if (tab._props.label == '收益统计') {
					this.shouyiSelect()
				}
				if (tab._props.label == '充值统计') {
					// this.info.stockDate = this.getNowTime()
					this.rechSelect()
				}
				if (tab._props.label == '待处理事项') {
					this.chatNumDrz = this.$cookie.get('numberDrz')
					this.chatNumDts = this.$cookie.get('numberDts')
					this.chatNumJjqz = this.$cookie.get('numberJjqz')
					this.chatNumDsm = this.$cookie.get('numberDsh')
					this.chatNumJg = this.$cookie.get('numberJg')
					this.chatNumCs = this.$cookie.get('numberCs')
					// this.dataSelect()
					// this.dataSelectPy()
					// this.dataSelectJjqz()
					// this.dataSelectYh()
				}
				if (tab._props.label == '自营订单统计') {
					this.moneySelect()
					this.orderSelect()
				}
				if (tab._props.label == '商家抽成统计') {
					this.shopSelect()
				}
				if (tab._props.label == '用户代理抽成统计') {
					this.UserSelect()
				}
				if (tab._props.label == '技师代理抽成统计') {
					this.DlysSelect()
				}
				if (tab._props.label == '技师抽成') {
					this.JsSelect()
				}
				if (tab._props.label == '用户转化统计') {
					this.UserZhSelect()
				}



			},
			//处理默认选中当前日期
			getNowTime() {
				var now = new Date();
				var year = now.getFullYear(); //得到年份
				var month = now.getMonth(); //得到月份
				var date = now.getDate(); //得到日期
				var hh = now.getHours() < 10 ? "0" + now.getHours() : now.getHours();
				var mm = now.getMinutes() < 10 ? "0" + now.getMinutes() : now.getMinutes();
				var ss = now.getSeconds() < 10 ? "0" + now.getSeconds() : now.getSeconds();
				month = month + 1;
				month = month.toString().padStart(2, "0");
				date = date.toString().padStart(2, "0");
				var defaultDate = `${year}-${month}-${date} ${hh}:${mm}:${ss}`;
				return defaultDate;
				this.$set(this.info, "stockDate", defaultDate);
			},
			// 用户统计
			_getData() {
				this.$http({
					url: this.$http.adornUrl('user/homeMessage'),
					method: 'get',
					params: this.$http.adornParams({})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						let returnData = data.data;
						this.tableData = returnData
					}

				})
			},
			// 收入统计
			incomeSelect() {
				this.$http({
					url: this.$http.adornUrl('user/selectOrdersMoney'),
					method: 'get',
					params: this.$http.adornParams({
						'date': this.info.stockDate,
						'type': this.flag,
					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						let returnData = data.data;
						this.profitStat = returnData
					}
				})
			},
			//用户分析（下）
			taskData() {
				this.$http({
					url: this.$http.adornUrl('user/selectUserMessage'),
					method: 'get',
					params: this.$http.adornParams({
						'date': this.info.stockDate,
						'type': this.flag,
					})
				}).then(({
					data
				}) => {
					let returnData = data.data;
					this.taskStat = returnData
				})
			},
			// 订单统计
			colonel() {
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('user/selectCountOrders'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'date': this.info.stockDate,
						'type': this.flag,
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					if (data.code == 0) {
						let returnData = data.data
						this.orderStat = returnData
					}
				})
			},
			// 充值统计
			rechSelect() {
				this.$http({
					url: this.$http.adornUrl('cash/payMember'),
					method: 'get',
					params: this.$http.adornParams({
						'time': this.info.stockDate,
						'flag': this.flag
					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						let returnData = data.data
						this.rechgeData = returnData
					}
				})
			},
			// 收益统计
			shouyiSelect() {
				this.$http({
					url: this.$http.adornUrl('user/selectMoneyCount'),
					method: 'get',
					params: this.$http.adornParams({
						'date': this.info.stockDate,
						'type': this.flag
					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						let returnData = data.data
						this.shouyiData = returnData
					}
				})
			},
			// 获取实名认证待审核数据
			dataSelect() {
				this.$http({
					url: this.$http.adornUrl('admin/realname/selectRealNameCount'),
					method: 'get',
					params: this.$http.adornParams({})
				}).then(({
					data
				}) => {
					if (data.data) {
						this.chatNumDrz = data.data
					}

				})
			},
			// 获取投诉待审核数据
			dataSelectPy() {
				this.$http({
					url: this.$http.adornUrl('message/selectMessageCount'),
					method: 'get',
					params: this.$http.adornParams({
						'state': 7,
					})
				}).then(({
					data
				}) => {
					if (data.data) {
						this.chatNumDts = data.data

					}
				})
			},
			// 获取紧急求助待审核数据
			dataSelectJjqz() {
				this.$http({
					url: this.$http.adornUrl('message/selectMessageCount'),
					method: 'get',
					params: this.$http.adornParams({
						'state': 10,
					})
				}).then(({
					data
				}) => {
					if (data.data) {
						this.chatNumJjqz = data.data
					}
				})
			},
			// 获取代理待审核数据
			dataSelectYh() {
				this.$http({
					url: this.$http.adornUrl('apply/selectApplyCount'),
					method: 'get',
					params: this.$http.adornParams({})
				}).then(({
					data
				}) => {
					if (data.data) {
						this.chatNumDsm = data.data
					}
				})
			},
			//订单折线图
			getUserOrderEcharts(startTime, endTime) {
				this.tableDataLoading1 = true
				var times = this.info.stockDate.slice(0,10)
				if (startTime) {
					var startTime = startTime
					var endTime = endTime
				} else {
					// var now = Date.parse(new Date())
					// var oldD = new Date(now)
					// // var year = oldD.getFullYear(); //得到年份
					// var year = this.info2.stockDate
					// // this.selectYear = year
					var now = Date.parse(new Date())
					// var choiceDate = (new Date(now)).getTime() / 1000;
					var choiceDate = Date.parse(new Date())
					var one = 6 * 24 * 3600 * 1000
					// 当前日期 - one = 7天之前
					var minTime = choiceDate - one
					var oldD = new Date(minTime)
					var year = oldD.getFullYear(); //得到年份
					var month = oldD.getMonth(); //得到月份
					var date = oldD.getDate(); //得到日期
					var hh = oldD.getHours() < 10 ? "0" + oldD.getHours() : oldD.getHours();
					var mm = oldD.getMinutes() < 10 ? "0" + oldD.getMinutes() : oldD.getMinutes();
					var ss = oldD.getSeconds() < 10 ? "0" + oldD.getSeconds() : oldD.getSeconds();
					month = month + 1;
					month = month.toString().padStart(2, "0");
					date = date.toString().padStart(2, "0");
					var defaultDate = `${year}-${month}-${date}`;

					var startTime = defaultDate
					var endTime = times
					this.selectYear = [startTime, endTime]
				}

				this.$http({
					url: this.$http.adornUrl('artificer/selectOrdersCountStatisticsByYear'),
					method: 'get',
					params: this.$http.adornParams({
						// 'time': year ? year : '',
						'startTime': startTime ? startTime : '',
						'endTime': endTime ? endTime : ''
					})
				}).then(({
					data
				}) => {
					if (data && data.code == 0) {
						this.orderEcharts = data.data
						//使用数据初始化图表
						this.setEcharts()
						this.tableDataLoading1 = false
					}
					// this.dataInfo = data.data
				})
			},
			//用户增长折线图
			getUserIncreaseEcharts(startTime, endTime) {
				this.tableDataLoading2 = true
				var times = this.info.stockDate.slice(0,10)
				console.log('times',times)
				if (startTime) {
					var startTime = startTime
					var endTime = endTime
				} else {
					var now = Date.parse(new Date())
					// var choiceDate = (new Date(now)).getTime() / 1000;
					var choiceDate = Date.parse(new Date())
					var one = 6 * 24 * 3600 * 1000
					// 当前日期 - one = 7天之前
					var minTime = choiceDate - one
					var oldD = new Date(minTime)
					var year = oldD.getFullYear(); //得到年份
					var month = oldD.getMonth(); //得到月份
					var date = oldD.getDate(); //得到日期
					var hh = oldD.getHours() < 10 ? "0" + oldD.getHours() : oldD.getHours();
					var mm = oldD.getMinutes() < 10 ? "0" + oldD.getMinutes() : oldD.getMinutes();
					var ss = oldD.getSeconds() < 10 ? "0" + oldD.getSeconds() : oldD.getSeconds();
					month = month + 1;
					month = month.toString().padStart(2, "0");
					date = date.toString().padStart(2, "0");
					var defaultDate = `${year}-${month}-${date}`;

					var startTime = defaultDate
					var endTime = times
					this.selectDayDate = [startTime, endTime]
				}
				this.$http({
					url: this.$http.adornUrl('user/selectUserCountStatisticsByTime'),
					method: 'get',
					params: this.$http.adornParams({
						'startTime': startTime ? startTime : '',
						'endTime': endTime ? endTime : ''
					})
				}).then(({
					data
				}) => {
					if (data && data.code == 0) {
						this.increaseEcharts = data.data
						//使用数据初始化图表
						this.setEcharts2()
						this.tableDataLoading2 = false
					}
					// this.dataInfo = data.data
				})
			},
			//使用数据初始化图表
			setEcharts() {
				echarts.use([
					ToolboxComponent,
					TooltipComponent,
					GridComponent,
					LegendComponent,
					LineChart,
					CanvasRenderer,
					UniversalTransition
				]);

				var chartDom = document.getElementById('Chart1');
				var myChart = echarts.init(chartDom);
				var option;

				option = {
					tooltip: {
						trigger: 'axis'
					},
					legend: {
						data: ['订单总量', '待支付单量', '待服务订单', '待评价订单', '已取消订单', '服务中订单', '已完成订单'],
						top: '5%'
					},
					grid: {
						left: '3%',
						right: '4%',
						bottom: '3%',
						containLabel: true
					},
					toolbox: {
						top: '3%',
						feature: {
							saveAsImage: {},

						}
					},
					xAxis: {
						type: 'category',
						boundaryGap: false,
						data: this.orderEcharts.year
					},
					yAxis: {
						type: 'value'
					},
					series: [{
							name: '订单总量',
							type: 'line',
							stack: 'Total',
							data: this.orderEcharts.ordersCountList
						},
						{
							name: '待支付单量',
							type: 'line',
							stack: 'Total',
							data: this.orderEcharts.ordersDaiFuKuanCountList
						},
						{
							name: '待服务订单',
							type: 'line',
							stack: 'Total',
							data: this.orderEcharts.ordersDaiFuWuCountList
						},
						{
							name: '待评价订单',
							type: 'line',
							stack: 'Total',
							data: this.orderEcharts.ordersDaiPingLunCountList
						},
						{
							name: '已取消订单',
							type: 'line',
							stack: 'Total',
							data: this.orderEcharts.ordersYiQuXiaoCountList
						},
						{
							name: '服务中订单',
							type: 'line',
							stack: 'Total',
							data: this.orderEcharts.ordersJinxXinZhongCountList
						},
						{
							name: '已完成订单',
							type: 'line',
							stack: 'Total',
							data: this.orderEcharts.ordersYiWanCengCountList
						},
					]
				};

				option && myChart.setOption(option);
			},
			//使用数据初始化图表
			setEcharts2() {
				echarts.use([
					ToolboxComponent,
					TooltipComponent,
					GridComponent,
					LegendComponent,
					LineChart,
					CanvasRenderer,
					UniversalTransition
				]);
				var chartDom = document.getElementById('Chart2');
				var myChart = echarts.init(chartDom);
				var option;

				option = {
					tooltip: {
						trigger: 'axis'
					},
					legend: {
						data: ['用户增长量'],
						top: '5%'
					},
					grid: {
						left: '3%',
						right: '4%',
						bottom: '3%',
						containLabel: true
					},
					toolbox: {
						top: '3%',
						feature: {
							saveAsImage: {},

						}
					},
					xAxis: {
						type: 'category',
						boundaryGap: false,
						data: this.increaseEcharts.year
					},
					yAxis: {
						type: 'value'
					},
					series: [{
						name: '用户增长量',
						type: 'line',
						stack: 'Total',
						data: this.increaseEcharts.userCountList
					}, ]
				};

				option && myChart.setOption(option);
			},
			//根据年份筛选
			selectYears(e) {
				console.log(e,'`````````',this.info.stockDate)
				if (e == null) {
					this.getUserOrderEcharts()
				} else {
					// var now = new Date();
					// // var year = now.getFullYear(); //得到年份
					// var year = this.info2.stockDate
					// let startTime = (new Date(e)).getTime() / 1000;
					// this.getUserOrderEcharts(year)
					var now = new Date(e[0]);
					var year = now.getFullYear(); //得到年份
					var month = now.getMonth(); //得到月份
					var date = now.getDate(); //得到日期
					var hh = now.getHours() < 10 ? "0" + now.getHours() : now.getHours();
					var mm = now.getMinutes() < 10 ? "0" + now.getMinutes() : now.getMinutes();
					var ss = now.getSeconds() < 10 ? "0" + now.getSeconds() : now.getSeconds();
					month = month + 1;
					month = month.toString().padStart(2, "0");
					date = date.toString().padStart(2, "0");
					// var defaultDate = `${year}-${month}-${date} ${hh}:${mm}:${ss}`;
					var defaultDate = `${year}-${month}-${date}`;

					var now1 = new Date(e[1]);
					var year1 = now1.getFullYear(); //得到年份
					var month1 = now1.getMonth(); //得到月份
					var date1 = now1.getDate(); //得到日期
					var hh1 = now1.getHours() < 10 ? "0" + now1.getHours() : now1.getHours();
					var mm1 = now1.getMinutes() < 10 ? "0" + now1.getMinutes() : now1.getMinutes();
					var ss1 = now1.getSeconds() < 10 ? "0" + now1.getSeconds() : now1.getSeconds();
					month1 = month + 1;
					month1 = month.toString().padStart(2, "0");
					date1 = date1.toString().padStart(2, "0");
					var defaultDate1 = `${year1}-${month1}-${date1}`;

					let startTime = defaultDate
					let endTime = defaultDate1
					console.log(startTime,'`````````',endTime)
					this.getUserOrderEcharts(startTime, endTime)
				}
			},
			//根据日期区间筛选
			selectTime(e) {
				console.log(e)
				if (e == null) {
					this.getUserIncreaseEcharts()
				} else {
					var now = new Date(e[0]);
					var year = now.getFullYear(); //得到年份
					var month = now.getMonth(); //得到月份
					var date = now.getDate(); //得到日期
					var hh = now.getHours() < 10 ? "0" + now.getHours() : now.getHours();
					var mm = now.getMinutes() < 10 ? "0" + now.getMinutes() : now.getMinutes();
					var ss = now.getSeconds() < 10 ? "0" + now.getSeconds() : now.getSeconds();
					month = month + 1;
					month = month.toString().padStart(2, "0");
					date = date.toString().padStart(2, "0");
					// var defaultDate = `${year}-${month}-${date} ${hh}:${mm}:${ss}`;
					var defaultDate = `${year}-${month}-${date}`;

					var now1 = new Date(e[1]);
					var year1 = now1.getFullYear(); //得到年份
					var month1 = now1.getMonth(); //得到月份
					var date1 = now1.getDate(); //得到日期
					var hh1 = now1.getHours() < 10 ? "0" + now1.getHours() : now1.getHours();
					var mm1 = now1.getMinutes() < 10 ? "0" + now1.getMinutes() : now1.getMinutes();
					var ss1 = now1.getSeconds() < 10 ? "0" + now1.getSeconds() : now1.getSeconds();
					month1 = month + 1;
					month1 = month.toString().padStart(2, "0");
					date1 = date1.toString().padStart(2, "0");
					var defaultDate1 = `${year1}-${month1}-${date1}`;

					let startTime = defaultDate
					let endTime = defaultDate1

					// let startTime = (new Date(e[0])).getTime() / 1000;
					// let endTime = (new Date(e[1])).getTime() / 1000;
					this.getUserIncreaseEcharts(startTime, endTime)
				}
			},
			// 收入金额统计
			moneySelect() {
				let page = this.page - 1
				this.tableDataLoading = true
				if(this.flag==1){
					var way = 3
				}
				if(this.flag==2){
					var way = 2
				}
				if(this.flag==3){
					var way = 1
				}
				this.$http({
					url: this.$http.adornUrl('orders/income'),
					method: 'get',
					params: this.$http.adornParams({
						'data': this.info.stockDate,
						'way': way,
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data;
					this.sumincome = returnData.sum0
					this.income = returnData.sum1
					this.wxincome = returnData.pay1
					this.zfbincome = returnData.pay2
					this.yueicome = returnData.pay3
					this.refundIncome = returnData.refundIncome
					this.refundMoney = returnData.refundMoney
					this.refundNum = returnData.refundNum
				})
			},
			// 订单成交量统计
			orderSelect() {
				let page = this.page - 1
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('orders/statistical'),
					method: 'get',
					params: this.$http.adornParams({
						'data': this.info.stockDate,
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					let returnData = data.data;
					this.ordersum0 = returnData.sum0
					this.ordersum1 = returnData.sum1
					this.ordersum2 = returnData.sum2


				})
			},
			// 商家抽成统计
			shopSelect() {
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('artificer/selectShopMoney'),
					method: 'get',
					params: this.$http.adornParams({
						'time': this.info.stockDate,
						'flag': this.flag,
						'page':this.page,
						'limit':this.limit,
						'userName':'',
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					this.tableDataShop = data.data;
				})
			},
			// 用户代理抽成统计
			UserSelect() {
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('artificer/selectOneUserMoney'),
					method: 'get',
					params: this.$http.adornParams({
						'time': this.info.stockDate,
						'flag': this.flag,
						'page':this.page,
						'limit':this.limit,
						'userName':'',
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					this.tableDataUser = data.data;
				})
			},
			// 技师代理抽成统计
			DlysSelect() {
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('artificer/selectOneArtificerMoney'),
					method: 'get',
					params: this.$http.adornParams({
						'time': this.info.stockDate,
						'flag': this.flag,
						'page':this.page,
						'limit':this.limit,
						'userName':'',
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					this.tableDataDlys = data.data;
				})
			},
			// 技师抽成
			JsSelect() {
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('artificer/selectArtificerMoney'),
					method: 'get',
					params: this.$http.adornParams({
						'time': this.info.stockDate,
						'flag': this.flag,
						'page':this.page,
						'limit':this.limit,
						'userName':'',
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					this.tableDataJs = data.data;
				})
			},
			// 用户转化统计
			UserZhSelect() {
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('artificer/selectNewUserOrdersCount'),
					method: 'get',
					params: this.$http.adornParams({
						'page':this.page,
						'limit':this.limit,
						'userName':'',
						'phone':''
					})
				}).then(({
					data
				}) => {
					this.tableDataLoading = false
					this.tableDataUserZh = data.data;
				})
			},
		}
	}
</script>

<style scoped>
	/deep/.el-date-editor .el-range-separator{
		width: auto!important;
	}
	.Chart1 {
		width: 100%;
		height: 300px;
	}
	.box {
		padding: 44px;
		border: 1px solid #eee;
		margin: 15px 10px;
	}

	.box_num {
		font-size: 14px;
		color: #66b1ff;
	}

	.box_num .box_color {
		color: #333;
		font-size: 14px;
		margin-bottom: 15px;
	}

	.box_num div span {
		font-size: 20px;
		margin-left: 5px;
	}

	.text_color {
		color: #4f9dec;
	}

	.text_color span {
		margin-right: 5px;
	}
</style>
